[arch-commits] Commit in libmsn (kde-unstable kde-unstable/PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Jan 9 09:04:35 EST 2010


    Date: Saturday, January 9, 2010 @ 09:04:35
  Author: andrea
Revision: 62436

Added:
  libmsn/kde-unstable/
  libmsn/kde-unstable/PKGBUILD

----------+
 PKGBUILD |   25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

Added: kde-unstable/PKGBUILD
===================================================================
--- kde-unstable/PKGBUILD	                        (rev 0)
+++ kde-unstable/PKGBUILD	2010-01-09 14:04:35 UTC (rev 62436)
@@ -0,0 +1,25 @@
+# $Id: $
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Charly Ghislain <charlyghislain at gmail.com>
+
+pkgname=libmsn
+pkgver=4.0
+pkgrel=1
+pkgdesc="A reusable, open-source, fully documented library for connecting to Microsoft's MSN"
+url="http://sourceforge.net/projects/libmsn/"
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('openssl')
+makedepends=('cmake')
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2)
+md5sums=('027442e7366dac7c365e8e57eabffc4a')
+
+build() {
+  cd ${srcdir}
+  mkdir build
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_BUILD_TYPE=Release || return 1
+  make DESTDIR=${pkgdir} install
+}



More information about the arch-commits mailing list